package com.yd.api.metadata.vo;

/**
 * @author ywenYang
 * @date 2021年06月30日 23:41
 */
public class TagQueryRequestVO {
    private Long configLevel;//标签级别(1=一级; 2=二级; 3=三级)
    private Long upperTagId;//上级标签
    private String tagName;//标签名称
    private Long tagType;//标签类别
    private Integer isActive;//

	/**
	 * @return the configLevel
	 */
	public Long getConfigLevel() {
		return configLevel;
	}

	/**
	 * @param configLevel the configLevel to set
	 */
	public void setConfigLevel(Long configLevel) {
		this.configLevel = configLevel;
	}

	/**
	 * @return the upperTagId
	 */
	public Long getUpperTagId() {
		return upperTagId;
	}

	/**
	 * @param upperTagId the upperTagId to set
	 */
	public void setUpperTagId(Long upperTagId) {
		this.upperTagId = upperTagId;
	}

	/**
	 * @return the tagName
	 */
	public String getTagName() {
		return tagName;
	}

	/**
	 * @param tagName the tagName to set
	 */
	public void setTagName(String tagName) {
		this.tagName = tagName;
	}

	/**
	 * @return the tagType
	 */
	public Long getTagType() {
		return tagType;
	}

	/**
	 * @param tagType the tagType to set
	 */
	public void setTagType(Long tagType) {
		this.tagType = tagType;
	}

	/**
	 * @return the isActive
	 */
	public Integer getIsActive() {
		return isActive;
	}

	/**
	 * @param isActive the isActive to set
	 */
	public void setIsActive(Integer isActive) {
		this.isActive = isActive;
	}

	@Override
    public String toString() {
        return "MdTagNew{" +
                ", configLevel='" + configLevel + '\'' +
                ", upperTagId='" + upperTagId + '\'' +
                ", tagName='" + tagName + '\'' +
                ", tagType='" + tagType + '\'' +
                ", isActive=" + isActive +
                '}';
    }
	
}
